### BUILD ON LINUX/MAC OSX:

```bash
./configure
make
```

### BUILD on LINUX with system libs:

```bash
./configure --with-zlib=yes --with-zlib-ldflags="`pkg-config zlib --libs`" --with-libxml=yes --with-libxml-cppflags="`pkg-config libxml-2.0 --cflags`" --with-libxml-ldflags="`pkg-config libxml-2.0 --libs`"
```

### BUILD on WINDOWS:

* Optionally generate project files: c:\Python26\python.exe generate.py --include Makefile.xml win32-*-msvc-*
* Open win32\solution.sln in Visual Studio.

### RELASE in a ZIP file (win32):

```bash
c:\Python26\python.exe generate.py --include Makefile.xml --package libopc-sdk-0.0.1.zip win32-release-msvc
```

### RELASE in a ZIP file (MaxOSX):

```bash
python generate.py --include Makefile.xml --package libopc-sdk-0.0.1.zip --config-dir=build/config darwin-release-gcc
```

### PACKAGE LINUX

```bash
./generate.py --with-zlib=yes --with-zlib-ldflags="`pkg-config zlib --libs`" --with-libxml=yes --with-libxml-cppflags="`pkg-config libxml-2.0 --cflags`" --with-libxml-ldflags="`pkg-config libxml-2.0 --libs`" --package usr.zip --config-dir=build --include Makefile.xml linux-debug-gcc-i686
```

### PACKAGE DEBIAN [http://www.debian.org/doc/manuals/maint-guide/index.en.html]

- Adjust config/libopc.pc VERSION
- Adjust debian/changelog

```bash
./configure --with-zlib=yes --with-zlib-ldflags="`pkg-config zlib --libs`" --with-libxml=yes --with-libxml-cppflags="`pkg-config libxml-2.0 --cflags`" --with-libxml-ldflags="`pkg-config libxml-2.0 --libs`" --arch=any
```

```bash
DESTDIR=`pwd`/build/linux-debug-gcc-any/install make install
```

```bash
dpkg-buildpackage -B --no-sign
```

```bash
lintian -i -I --show-overrides ../libopc_0.0.2_i386.changes | less
```
